AvalonLogger (Commons Logging 1.1.1 API)
Keywords: org.apache.commons.logging.impl.AvalonLogger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.logging.impl
Class AvalonLogger

    java.lang.Object
      org.apache.commons.logging.impl.AvalonLogger

All Implemented Interfaces:
  Log

public class AvalonLogger
extends java.lang.Object
implements Log

Implementation of commons-logging Log interface that delegates all logging calls to the Avalon logging abstraction: the Logger interface.

There are two ways in which this class can be used:

- the instance can be constructed with an Avalon logger (by calling `AvalonLogger(Logger)`). In this case, it acts as a simple thin wrapping implementation over the logger. This is particularly useful when using a property setter.
- the `setDefaultLogger(org.apache.avalon.framework.logger.Logger)` class property can be called which sets the ancesteral Avalon logger for this class. Any `AvalonLogger` instances created through the `LogFactory` mechanisms will output to child loggers of this `Logger`.

Note: `AvalonLogger` does not implement Serializable because the constructors available for it make this impossible to achieve in all circumstances; there is no way to "reconnect" to an underlying Logger object on deserialization if one was just passed in to the constructor of the original object. This class was marked Serializable in the 1.0.4 release of commons-logging, but this never actually worked (a NullPointerException would be thrown as soon as the deserialized object was used), so removing this marker is not considered to be an incompatible change.

Version:
  $Revision: 424107 $ $Date: 2006-07-21 01:15:42 +0200 (fr, 21 jul 2006) $
Author:
  Neeme Praks

Constructor Summary
`AvalonLogger(org.apache.avalon.framework.logger.Logger logger)` Constructs an `AvalonLogger` that outputs to the given `Logger` instance.
`AvalonLogger(java.lang.String name)` Constructs an `AvalonLogger` that will log to a child of the `Logger` set by calling `setDefaultLogger(org.apache.avalon.framework.logger.Logger)`.

Method Summary
`void` | `debug(java.lang.Object message)` Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.
`void` | `debug(java.lang.Object message, java.lang.Throwable t)` Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.
`void` | `error(java.lang.Object message)` Logs a message with `org.apache.avalon.framework.logger.Logger.error`.
`void` | `error(java.lang.Object message, java.lang.Throwable t)` Logs a message with `org.apache.avalon.framework.logger.Logger.error`.
`void` | `fatal(java.lang.Object message)` Logs a message with `org.apache.avalon.framework.logger.Logger.fatalError`.
`void` | `fatal(java.lang.Object message, java.lang.Throwable t)` Logs a message with `org.apache.avalon.framework.logger.Logger.fatalError`.
`org.apache.avalon.framework.logger.Logger` | `getLogger()` Gets the Avalon logger implementation used to perform logging.
`void` | `info(java.lang.Object message)` Logs a message with `org.apache.avalon.framework.logger.Logger.info`.
`void` | `info(java.lang.Object message, java.lang.Throwable t)` Logs a message with `org.apache.avalon.framework.logger.Logger.info`.
`boolean` | `isDebugEnabled()` Is logging to `org.apache.avalon.framework.logger.Logger.debug` enabled?
`boolean` | `isErrorEnabled()` Is logging to `org.apache.avalon.framework.logger.Logger.error` enabled?
`boolean` | `isFatalEnabled()` Is logging to `org.apache.avalon.framework.logger.Logger.fatalError` enabled?
`boolean` | `isInfoEnabled()` Is logging to `org.apache.avalon.framework.logger.Logger.info` enabled?
`boolean` | `isTraceEnabled()` Is logging to `org.apache.avalon.framework.logger.Logger.debug` enabled?
`boolean` | `isWarnEnabled()` Is logging to `org.apache.avalon.framework.logger.Logger.warn` enabled?
`static void` | `setDefaultLogger(org.apache.avalon.framework.logger.Logger logger)` Sets the ancesteral Avalon logger from which the delegating loggers will descend.
`void` | `trace(java.lang.Object message)` Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.
`void` | `trace(java.lang.Object message, java.lang.Throwable t)` Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.
`void` | `warn(java.lang.Object message)` Logs a message with `org.apache.avalon.framework.logger.Logger.warn`.
`void` | `warn(java.lang.Object message, java.lang.Throwable t)` Logs a message with `org.apache.avalon.framework.logger.Logger.warn`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvalonLogger

    public AvalonLogger(org.apache.avalon.framework.logger.Logger logger)

  Constructs an `AvalonLogger` that outputs to the given `Logger` instance.

Parameters:
  `logger` - the avalon logger implementation to delegate to

### AvalonLogger

    public AvalonLogger(java.lang.String name)

  Constructs an `AvalonLogger` that will log to a child of the `Logger` set by calling `setDefaultLogger(org.apache.avalon.framework.logger.Logger)`.

Parameters:
  `name` - the name of the avalon logger implementation to delegate to

Method Detail

### getLogger

    public org.apache.avalon.framework.logger.Logger getLogger()

  Gets the Avalon logger implementation used to perform logging.

  Returns:
    avalon logger implementation

### setDefaultLogger

    public static void setDefaultLogger(org.apache.avalon.framework.logger.Logger logger)

  Sets the ancesteral Avalon logger from which the delegating loggers will descend.

  Parameters:
    `logger` - the default avalon logger, in case there is no logger instance supplied in constructor

### debug

    public void debug(java.lang.Object message,
                      java.lang.Throwable t)

  Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - to log
    `t` - log this cause
  See Also:
    `Log.debug(Object, Throwable)`

### debug

    public void debug(java.lang.Object message)

  Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - to log.
  See Also:
    `Log.debug(Object)`

### error

    public void error(java.lang.Object message,
                      java.lang.Throwable t)

  Logs a message with `org.apache.avalon.framework.logger.Logger.error`.

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - to log
    `t` - log this cause
  See Also:
    `Log.error(Object, Throwable)`

### error

    public void error(java.lang.Object message)

  Logs a message with `org.apache.avalon.framework.logger.Logger.error`.

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.error(Object)`

### fatal

    public void fatal(java.lang.Object message,
                      java.lang.Throwable t)

  Logs a message with `org.apache.avalon.framework.logger.Logger.fatalError`.

  Specified by:
    `fatal` in interface `Log`
  Parameters:
    `message` - to log.
    `t` - log this cause.
  See Also:
    `Log.fatal(Object, Throwable)`

### fatal

    public void fatal(java.lang.Object message)

  Logs a message with `org.apache.avalon.framework.logger.Logger.fatalError`.

  Specified by:
    `fatal` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.fatal(Object)`

### info

    public void info(java.lang.Object message,
                     java.lang.Throwable t)

  Logs a message with `org.apache.avalon.framework.logger.Logger.info`.

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - to log
    `t` - log this cause
  See Also:
    `Log.info(Object, Throwable)`

### info

    public void info(java.lang.Object message)

  Logs a message with `org.apache.avalon.framework.logger.Logger.info`.

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.info(Object)`

### isDebugEnabled

    public boolean isDebugEnabled()

  Is logging to `org.apache.avalon.framework.logger.Logger.debug` enabled?

  Specified by:
    `isDebugEnabled` in interface `Log`
  Returns:
    true if debug is enabled in the underlying logger.
  See Also:
    `Log.isDebugEnabled()`

### isErrorEnabled

    public boolean isErrorEnabled()

  Is logging to `org.apache.avalon.framework.logger.Logger.error` enabled?

  Specified by:
    `isErrorEnabled` in interface `Log`
  Returns:
    true if error is enabled in the underlying logger.
  See Also:
    `Log.isErrorEnabled()`

### isFatalEnabled

    public boolean isFatalEnabled()

  Is logging to `org.apache.avalon.framework.logger.Logger.fatalError` enabled?

  Specified by:
    `isFatalEnabled` in interface `Log`
  Returns:
    true if fatal is enabled in the underlying logger.
  See Also:
    `Log.isFatalEnabled()`

### isInfoEnabled

    public boolean isInfoEnabled()

  Is logging to `org.apache.avalon.framework.logger.Logger.info` enabled?

  Specified by:
    `isInfoEnabled` in interface `Log`
  Returns:
    true if info is enabled in the underlying logger.
  See Also:
    `Log.isInfoEnabled()`

### isTraceEnabled

    public boolean isTraceEnabled()

  Is logging to `org.apache.avalon.framework.logger.Logger.debug` enabled?

  Specified by:
    `isTraceEnabled` in interface `Log`
  Returns:
    true if trace is enabled in the underlying logger.
  See Also:
    `Log.isTraceEnabled()`

### isWarnEnabled

    public boolean isWarnEnabled()

  Is logging to `org.apache.avalon.framework.logger.Logger.warn` enabled?

  Specified by:
    `isWarnEnabled` in interface `Log`
  Returns:
    true if warn is enabled in the underlying logger.
  See Also:
    `Log.isWarnEnabled()`

### trace

    public void trace(java.lang.Object message,
                      java.lang.Throwable t)

  Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - to log.
    `t` - log this cause.
  See Also:
    `Log.trace(Object, Throwable)`

### trace

    public void trace(java.lang.Object message)

  Logs a message with `org.apache.avalon.framework.logger.Logger.debug`.

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.trace(Object)`

### warn

    public void warn(java.lang.Object message,
                     java.lang.Throwable t)

  Logs a message with `org.apache.avalon.framework.logger.Logger.warn`.

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - to log
    `t` - log this cause
  See Also:
    `Log.warn(Object, Throwable)`

### warn

    public void warn(java.lang.Object message)

  Logs a message with `org.apache.avalon.framework.logger.Logger.warn`.

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - to log
  See Also:
    `Log.warn(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 The Apache Software Foundation. All Rights Reserved.